{% extends '_layout.html' %}
{% load staticfiles %}
{% load bulma_tags %}
{% block content %}
    <div class="container has-text-centered is-fullwidth">
        <div class="column is-offset-3 is-6">
            <div>
                <p class="title">
                    <img src="{{ match.home.img_src }}"/>
                    {{ match.home.name }}
                    &nbsp; vs &nbsp;
                    <img src="{{ match.away.img_src }}"/>
                    {{ match.away.name }}
                </p>
            </div>
            <br>
            <div>
                <div>
                    <form method="post">
                        {% csrf_token %}
                        <div class="field">
                            <label class="label">Home goals</label>
                            <div class="control ">
                                <input type="number" name="home_goals" class="input has-text-centered"
                                       id="id_home_goals" min="0" required
                                        {% if bet %} value={{ bet.home_goals }} {% endif %}
                                {% if match.is_frozen %} readonly {% endif %}>
                            </div>
                        </div>

                        <div class="field">
                            <label class="label">Away goals</label>
                            <div class="control ">
                                <input type="number" name="away_goals" class="input has-text-centered"
                                       id="id_away_goals" min="0" required
                                        {% if bet %} value={{ bet.away_goals }} {% endif %}
                                {% if match.is_frozen %} readonly {% endif %}>
                            </div>
                        </div>
                        {% if match.is_frozen %}
                            <p>This match has already started</p>
                        {% else %}
                            <input type="submit" class="button is-link" value="Make prediction"/>
                        {% endif %}
                    </form>
                </div>
            </div>
            <br>
            <div class="subtitle">You will earn 3 points if your prediction is exact and 2 points if you only guess the
                match outcome.
            </div>
            <div class="has-text-link">
                Score is recorded only for the first 120 minutes.
            </div>
            <div class="is-size-7 has-text-weight-light">
                Penalties are not taken into consideration for correct/exact predictions.
                (ex: If A-B match ends 2-2 and A wins after penalties, a correct outcome would be equal).
            </div>
        </div>
    </div>
{% endblock %}
